package com.winhc.test;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.winhc.kafka.KafkaProduce;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import java.util.HashMap;
import java.util.Map;

/**
 * @author π
 * @Description:司法案件测试
 * @date 2021/09/17 16:24
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class TestSendKafka {
    @Autowired
    KafkaProduce kafkaProduce;

    @Test
    public void sendKafka() {
        String topic = "inc_judicial_case_monitor";
        long start = System.currentTimeMillis();
        HashMap<Object, Object> map = new HashMap<>();
        HashMap<Object, Object> map1 = new HashMap<>();
        map.put("topic_type","1");
        map1.put("justice_case_id","221111486");
        map1.put("dimension_id","b97afac1bc2c9d6755413fa0069699e0");
        map1.put("dimension_type","7");
        map.put("data",map1);
        String msg = JSON.toJSONString(map);
        System.out.println(msg);
        //kafkaProduce.produce(topic, msg);
        System.out.println(System.currentTimeMillis() - start);
    }

    @Test
    public void sendMergePerson() {
        String topic = "test3";
        Map<String,String> m1 = new HashMap<String,String>(){
            {
                put("person_id","p2");
                put("name","钱胜前");
                put("topic_type","800");
            }
        };
        Map<String,String> m2 = new HashMap<String,String>(){
            {
                put("person_id","p6");
                put("name","曾妍");
                put("topic_type","800");
            }
        };
        kafkaProduce.produce(topic, JSONObject.toJSONString(m1));
        kafkaProduce.produce(topic, JSONObject.toJSONString(m2));
    }

    @Test
    public void sendUpdatePerson() {
        String message = "[{\"new_human_name\":\"钱胜前\",\"new_human_pid\":\"p2\",\"old_human_name\":\"钱胜前\",\"old_human_pid\":\"p1\",\"time\":\"2022-01-18 15:51:38\"},{\"new_human_name\":\"钱胜前\",\"new_human_pid\":\"p2\",\"old_human_name\":\"钱胜前\",\"old_human_pid\":\"p3\",\"time\":\"2022-01-18 15:51:38\"},{\"new_human_name\":\"曾妍\",\"new_human_pid\":\"p6\",\"old_human_name\":\"曾妍\",\"old_human_pid\":\"p4\",\"time\":\"2022-01-18 15:51:38\"}]";
        String topic = "test5";
//        Map<String,String> m1 = new HashMap<String,String>(){
//            {
//                put("new_human_pid","kfe7feabdc3bd7a148562ab94b3bb08bc");
//                put("old_human_pid","pfe7feabdc3bd7a148562ab94b3bb08bc");
//                put("new_human_name","张伟");
//            }
//        };
        kafkaProduce.produce(topic, message);
    }


}
